Category: Documentation Estimated time: 7.70 hours

Target version: CoCoALib-0.99600 Spent time: 7.70 hours

Description

The doc for BigInt is split into two: BigInt and IntOperations (also some in NumTheory).

Currently the doc for BigRat is all inside BigRat (even some fns corresponding to those in IntOperations).

Reconsider this organization; either approve it explicitly, or rearrange it!

Related issues:

Related to CoCoALib - Design #410: New file: BigRatOps Closed 18 Oct 2013

Related to CoCoALib - Design #1145: File names, coding conventions: Fns, Ops,... Closed 19 Dec 2017

History

#1 - 17 Jun 2016 14:31 - John Abbott

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#2 - 06 Nov 2017 13:41 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#3 - 04 May 2018 19:06 - Anna Maria Bigatti

- Related to Design #410: New file: BigRatOps added

#4 - 04 May 2018 19:08 - Anna Maria Bigatti

Should it be BigIntOps?

#5 - 16 May 2018 14:07 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I like the name BigIntOps.  The file does also contain several fns which accept MachineInt args (and several which allow arbitrary mixtures of BigInt

and MachineInt), but this mostly just to offer a uniform interface independent of whether the caller has used a machine int or a big int.

The original question was about RatOperations, but that name should now be BigRatOps.

So the proposal now is the following:

rename IntOperations to BigIntOps

split BigRat into  BigRat (just class defn, and maybe accessor fn)  and BigRatOps  (everything else currently in BigRat, parallelling what is

(currently) in IntOperations)

Objections?
#6 - 16 May 2018 15:46 - Anna Maria Bigatti

Good!! go for it!  :-)

#7 - 16 May 2018 16:57 - Anna Maria Bigatti

- Related to Design #1145: File names, coding conventions: Fns, Ops, Operations? part 2 added

#8 - 16 May 2018 17:07 - Anna Maria Bigatti

- Subject changed from Doc for BigInt, IntOperations, BigRat -- should there be RatOperations? to Doc for BigInt, IntOperations, BigRat -- should there

be BigRatOps?

#9 - 18 May 2018 17:10 - Anna Maria Bigatti

- Subject changed from Doc for BigInt, IntOperations, BigRat -- should there be BigRatOps? to Doc for BigInt, BigIntOps, BigRat -- should there be

BigRatOps?

Renamed IntOperations into BigIntOps

(this should have been in #1145)

#10 - 22 May 2018 16:35 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 10 to 90

I have split BigRat into BigRat (class defn, ctors, and accessors) and BigRatOps.

All files have been updated; all tests pass.

Any need to change the doc?

#11 - 22 May 2018 18:00 - Anna Maria Bigatti

John Abbott wrote:

I have split BigRat into BigRat (class defn, ctors, and accessors) and BigRatOps.

All files have been updated; all tests pass.

Any need to change the doc?

 

I think (nightmare?) that we should mention in the doc in which files (collectively, not for each function!) the class and functions are defined.

#12 - 03 Aug 2018 15:53 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 7.70 h

The doc has already been split.  Everything has worked fine for 2 months.  Closing.
